com.tibco.n2.service.adapter.binding

## Interface ExporterService

- All Known Implementing Classes:
    ExporterService

      public interface ExporterService

  Interface to provide the `ExporterService` methods.

  ©2008 TIBCO Software Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.de.api.exporter.ExportResource` | `exportResources(com.tibco.n2.de.api.exporter.ExportResourcesRequestDocument.ExportResourcesRequest options)` Exports all LDAP Container definitions, and the Resource derived from them.
    `boolean` | `importResources(com.tibco.n2.de.api.exporter.ExportResource exportResource)` Imports a collection of LDAP Container definitions, and any Resources derived from them.

- - ### Method Detail

    - #### exportResources

          com.tibco.n2.de.api.exporter.ExportResource exportResources(com.tibco.n2.de.api.exporter.ExportResourcesRequestDocument.ExportResourcesRequest options)
                                                               throws com.tibco.n2.de.services.InternalServiceFault

      Exports all LDAP Container definitions, and the Resource derived from them. The exported Resources will include the Position and Group mappings.
      Parameters:
        `modelVersion` -
      Returns:
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.de.services.InternalServiceFault`

    - #### importResources

          boolean importResources(com.tibco.n2.de.api.exporter.ExportResource exportResource)
                           throws com.tibco.n2.de.services.InternalServiceFault,
                                  com.tibco.n2.de.services.InvalidLDAPContainerFault,
                                  com.tibco.n2.de.services.InvalidEntityReferenceFault,
                                  com.tibco.n2.de.services.InvalidModelImportFault

      Imports a collection of LDAP Container definitions, and any Resources derived from them.
      Parameters:
        `modelDetail` -
      Returns:
      Throws:
        `java.lang.RuntimeException`
        `com.tibco.n2.de.services.InternalServiceFault`
        `com.tibco.n2.de.services.InvalidLDAPContainerFault`
        `com.tibco.n2.de.services.InvalidEntityReferenceFault`
        `com.tibco.n2.de.services.InvalidModelImportFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.